## javax.servlet.annotation
Annotation Type WebListener

    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    @Documented
    public @interface WebListener

This annotation is used to declare a WebListener. Any class annotated with WebListener must implement one or more of the `ServletContextListener`, `ServletContextAttributeListener`, `ServletRequestListener`, `ServletRequestAttributeListener`, `HttpSessionListener`, or `HttpSessionAttributeListener` interfaces.

Since:
  Servlet 3.0

Optional Element Summary
`String` `value` Description of the listener

### value

    public abstract String value

  Description of the listener

  Default:
    ""

Copyright © 2012 GlassFish Community. All Rights Reserved.